MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
sc::Edge Class Reference
Inheritance diagram for sc::Edge:

List of all members.

## Public Member Functions

| Edge (const Ref< Vertex > &p1, const Ref< Vertex > &p2)
| Edge (const Ref< Vertex > &p1, const Ref< Vertex > &p2, const Ref< Vertex > &p3)
| Edge (const Ref< Vertex > &p1, const Ref< Vertex > &p2, const Ref< Vertex > &p3, const Ref< Vertex > &p4)
int | order () const
double | straight_length ()
Ref< Vertex > | vertex (int i) const
Ref< Vertex > | interior_vertex (int i) const
void | add_vertices (std::set< Ref< Vertex > > &)
void | set_order (int order, const Ref< Volume > &vol, double isovalue)
int | interpolate (double location, SCVector3 &point, SCVector3 &norm)
int | interpolate (double location, SCVector3 &point, SCVector3 &norm, const Ref< Volume > &vol, double isovalue)

The documentation for this class was generated from the following file:

- edge.h